Как накатить новую версию фубар на старую сборку

Список разделов Аудиоплеер foobar2000 Есть вопрос!

Описание: У вас проблемы с foobar2000 и вам необходима помощь? Спрашивайте здесь!
Правила раздела: Одна тема — один вопрос или группа связанных вопросов. Обязательно формируйте внятный заголовок, максимально отражающий суть. Подробно описывайте проблему. Не забывайте указать версию плеера, название сборки, по возможности добавить скриншоты проблемы.

Сообщение #1 rusline » 09.11.2022, 01:30

Всем привет!
Давненько не открывал фубар, сегодня заметил что не скробблятся треки на ласт фм. Как накатить новую версию фубар, чтобы сборка (сборка s8e) осталась рабочей. При установке скробблера ласт фм версии 1.5.0 выдает такую ошибку.
Спойлер
Снимок.JPG

Добавлено спустя 8 минут 7 секунд:
попробовал скопировать только файлы из новой портабл версии 1.6, а также отдельно попробовал версию 2.0 в папку со сборкой и выдал такую ошибку
Спойлер
Снимок2.JPG
rusline
Автор темы
Репутация: 1
С нами: 10 лет 1 месяц

Сообщение #2 evil » 09.11.2022, 14:58

Правильно задавать вопрос так: "Как накатить старую конфигурацию сборки на новую версию фубар?"
Нужно выяснить на основе какого модуля она была выполнена.
Потом найти новую версию этого модуля под современную версию фубар.
Если такой нет, то ничего не выйдет.

Второй вариант - поискать рабочую версию модуля для last.fm под старую версию фубар.
Есть такая версия: https://www.foobar2000.org/components/view/foo_scrobble
- Uses the Scrobbling 2.0 API. You authorize the component with last.fm instead of entering your login credentials into foobar2000.
Works with foobar2000 v1.5 and newer
evil M
Возраст: 41
Репутация: 67
С нами: 16 лет 6 месяцев

Сообщение #3 rusline » 09.11.2022, 19:42

evil:Нужно выяснить на основе какого модуля она была выполнена.
Потом найти новую версию этого модуля под современную версию фубар.
Если такой нет, то ничего не выйдет.
Можно поподробнее, как это узнать? что за модуль такой?)

Добавлено спустя 5 часов 13 минут:
evil:Второй вариант - поискать рабочую версию модуля для last.fm под старую версию фубар.
Есть такая версия: https://www.foobar2000.org/components/view/foo_scrobble
- Uses the Scrobbling 2.0 API. You authorize the component with last.fm instead of entering your login credentials into foobar2000.
Works with foobar2000 v1.5 and newer
к сожалению не подошел, такая же ошибка(
rusline
Автор темы
Репутация: 1
С нами: 10 лет 1 месяц

Сообщение #4 evil » 11.11.2022, 11:08

rusline:Можно поподробнее, как это узнать? что за модуль такой?)
Мне неизвестна эта сборка. Но если у вас возникает такой вопрос, то и с переносом настроек скорее всего возникнет проблема.
А модуль, например, такой: Default UI, Columns UI, JScript Panel

Добавлено спустя 45 секунд:
rusline:к сожалению не подошел
Попробуйте подобрать что-то из актуальных готовых сборок.
evil M
Возраст: 41
Репутация: 67
С нами: 16 лет 6 месяцев

Сообщение #5 rusline » 12.11.2022, 02:31

возник другой вопрос, возможно ли то что засскроблено на старом фубаре, переместить в новую версию и уже оттуда отправить данные на ласт фм ?
rusline
Автор темы
Репутация: 1
С нами: 10 лет 1 месяц

Сообщение #6 evil » 12.11.2022, 23:41

Сделайте Copy report в Preferences - Components

Код: Выделить всё
Core (2022-10-12 10:29:36 UTC)
    foobar2000 core 2.0 beta 12
foo_abx.dll (2022-08-30 05:49:04 UTC)
    ABX Comparator 2.1
foo_converter.dll (2022-10-12 10:29:08 UTC)
    Converter 2.0 beta 12
foo_cue_fix.dll (2022-09-15 08:31:54 UTC)
    Cue Fix 1.0.3
foo_dsp_eq.dll (2022-10-12 10:28:56 UTC)
    Equalizer 1.2.3
foo_dsp_src_resampler.dll (2022-08-28 17:11:34 UTC)
    SRC Resampler 1.0.13
foo_dsp_std.dll (2022-10-12 10:28:42 UTC)
    Standard DSP Array 2.0 beta 12
foo_fileops.dll (2022-10-12 10:28:58 UTC)
    File Operations 2.0 beta 12
foo_freedb2.dll (2022-10-12 10:28:52 UTC)
    Online Tagger 0.9
foo_input_std.dll (2022-10-12 10:29:08 UTC)
    CD Audio Decoder 2.0 beta 12
    FFmpeg Decoders 5.1
    Monkey's Audio Decoder 8.70
    Standard Input Array 2.0 beta 12
foo_masstag.dll (2022-09-19 09:01:44 UTC)
    Masstagger 1.9
foo_musicbrainz64.dll (2022-10-03 21:34:14 UTC)
    MusicBrainz64 1.0.2
foo_openlyrics.dll (2022-10-13 13:55:16 UTC)
    OpenLyrics 1.3
foo_out_asio.dll (2022-09-19 09:22:18 UTC)
    ASIO Output 2.2
foo_preview.dll (2022-11-01 19:48:22 UTC)
    Preview 1.8
foo_quicktag.dll (2022-09-22 16:42:30 UTC)
    Quick Tagger 1.1.1
foo_run.dll (2022-09-19 08:14:04 UTC)
    Run services 0.4.5
foo_scrobble.dll (2022-09-05 21:43:00 UTC)
    Scrobble 1.6.0.22456
foo_skip.dll (2022-08-28 17:11:26 UTC)
    Skip Track 1.36
foo_stop_after_queue.dll (2022-09-04 16:21:10 UTC)
    Stop After Queue 1.2.2
foo_stop_on_error.dll (2022-09-05 07:43:44 UTC)
    Stop on Error 0.6.1
foo_stopafteralbum.dll (2022-10-22 13:13:54 UTC)
    Stop after album 1.4
foo_taskbar_playback_progress_bar.dll (2022-09-25 07:01:16 UTC)
    Taskbar Playback Progress Bar 1.1.3
foo_texttools.dll (2022-09-16 07:57:40 UTC)
    Text Tools 1.1
foo_ui_columns.dll (2022-10-18 17:21:08 UTC)
    Columns UI 2.0.0-alpha.5
foo_ui_std.dll (2022-10-12 10:29:22 UTC)
    Album List 2.0 beta 12
    Decoding Speed Test 2.0 beta 12
    Default User Interface 2.0 beta 12
    File Integrity Verifier 2.0 beta 12
foo_uie_albumlist.dll (2022-09-30 14:49:24 UTC)
    Album list panel 1.0.0-beta.2
foo_uie_console.dll (2022-09-30 14:50:26 UTC)
    Console panel 3.0.0-beta.2
foo_unpack.dll (2022-10-12 10:29:18 UTC)
    ZIP/GZIP/RAR/7-Zip Reader 2.0 beta 12
evil M
Возраст: 41
Репутация: 67
С нами: 16 лет 6 месяцев

Сообщение #7 rusline » 13.11.2022, 02:26

а дальше как действовать?
вроде уже и скопировал в новый фубар папки configuration/foo_audioscrobbler.dll.cfg , index-data и library а все равно пишет Your cache contains 0 tracks.
rusline
Автор темы
Репутация: 1
С нами: 10 лет 1 месяц


Вернуться в Есть вопрос!